import React = require("react");
import { Singleton } from "../../../../Common/Singleton";
export declare enum EOptionTabId {
    File = "file",
    Show = "xs",
    Sys = "sys",
    Draw = "ht",
    ChaiDan = "chaidan"
}
export declare class ConfigStore extends Singleton {
    private oldBgcolor;
    bgColor: string;
    OnCanel: () => void;
    OnOK: () => Promise<void>;
}
/**
 * 选项配置对话框(右键O呼出)
 */
export declare class ConfigDialog extends React.Component {
    private selectedTabId;
    private curFileTitle;
    optionModal: HTMLElement;
    private event;
    RegisterHandleKeyBoardEvent(): void;
    UNSAFE_componentWillMount(): Promise<void>;
    componentWillUnmount(): void;
    getFileName: () => Promise<void>;
    render(): JSX.Element;
}
//# sourceMappingURL=ConfigDialog.d.ts.map